<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header" *ngIf="!view">
    <mb-button [mbIsDisable]="isLoadingPage" mbButtonType="NO_BORDER" mbButtonSize="LARGE"
        mbButtonAvailableStyle="PRIMARY" (click)="validateTable()"
        mbButtonText="{{'modelOrganization.button.save' | translate}}" mbButtonBgColor="#E8EAF6"
        mbButtonTextColor="#141ED2">
    </mb-button>
</div>
<div class="project-name-container">
    <div nz-row class="project-name-container__row">
        <div nz-col nzSpan="24" class="project-name-container__row--col">
            <span class="col__title">{{'modelOrganization.label.projectName' | translate}}</span>
            <span class="col__name">{{projectInfo.prjName}}</span>
        </div>
    </div>
</div>
<form [formGroup]="form" nz-form>
    <div class="table-container">
        <nz-radio-group [(ngModel)]="pm" [ngModelOptions]="{standalone: true}" [nzDisabled]="view">
            <nz-table #basicTable [nzData]="dataTable.length ? dataTable : []" [nzFrontPagination]="false"
                [nzShowPagination]="false" [nzScroll]="dataTable?.length > 0 ? { x: 'SCROLL_CONFIG' } : {}"
                [nzSize]="TABLE_SIZE">
                <thead>
                    <tr>
                        <th scope="col" nzWidth="80px" nzLeft>{{'modelOrganization.table.stt' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.projectJob' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.isProjectManager' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.fullNameShort' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.unit' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.startDate' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.endDate' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.density' | translate}}</th>
                        <th scope="col" nzWidth="80px" *ngIf="!view" nzRight></th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let data of dataTable; let i = index ;trackBy:trackByFn">
                        <td nzLeft>
                            {{i + 1}}
                        </td>
                        <td>
                            <mb-select *ngIf="!view" [mbDataSelects]="jobs" mbKeyLabel="jobName" mbKeyValue="jobId"
                                (ngModelChange)="changePm(data)"
                                [mbType]="data.jobId.errors && isSubmit ? 'error' : 'default'"
                                [formControl]="data.jobId"
                                mbPlaceholder="{{'modelOrganization.projectImplement.placeHoder.chooseJob' | translate}}">
                            </mb-select>
                            <span *ngIf="view">{{data.jobName}}</span>
                        </td>
                        <td>
                            <div class="table-container__cell-center-checkbox">
                                <label nz-radio [nzValue]="data"></label>
                            </div>

                        </td>
                        <td class="{{view ? 'table-container__view' : '' }}">
                            <div class="table-container__search">
                                <app-search-input *ngIf="!view"
                                    [placeholder]="'modelOrganization.placeHoder.userSearch' | translate"
                                    [showError]="data.empId.errors && isSubmit ? true : false"
                                    [showValue]="data.empName" (emitType)="onInput($event)"
                                    (emitChange)="onChange($event, data)" [value]="'employee_id'" [label]="'valueShow'"
                                    [listInput]="options" [type]="false" [showIcon]="false" [clickHide]="true"
                                    trigger="click">
                                </app-search-input>
                                <span *ngIf="view" class="table-container__view">
                                    {{data.empName}}
                                </span>
                            </div>
                        </td>
                        <td>
                            <div>
                                <span *ngIf="!view" nzTooltipPlacement="bottomRight" nz-tooltip
                                    [nzTooltipColor]="'#141ED2'" [nzTooltipTitle]="data.orgNameTooltip"
                                    [nzTooltipOverlayClassName]="data.orgName.length > 50 ? '' : 'tooltip-hide'">
                                    {{data.orgName}}
                                </span>
                                <span *ngIf="view" nz-tooltip [nzTooltipColor]="'#141ED2'"
                                    [nzTooltipTitle]="data.orgNameTooltip"
                                    [nzTooltipOverlayClassName]="data.orgName.length > 50 ? '' : 'tooltip-hide'">{{data.orgName}}</span>
                            </div>
                        </td>
                        <td>
                            <mb-date-picker *ngIf="!view" [formControl]="data.fromDate"
                                (ngModelChange)="onChangeDate($event,data, data.fromDate)"
                                [mbType]="data.fromDate.errors && isSubmit ? 'error' : 'default'"></mb-date-picker>
                            <span *ngIf="view">{{data.fromDate.value | date: 'dd/MM/yyyy'}}</span>
                        </td>
                        <td>
                            <mb-date-picker *ngIf="!view" [formControl]="data.toDate"
                                (ngModelChange)="onChangeDate($event,data, data.toDate)"
                                [mbType]="data.toDate.errors && isSubmit ? 'error' : 'default'"></mb-date-picker>
                            <span *ngIf="view">{{data.toDate.value | date: 'dd/MM/yyyy'}}</span>
                        </td>
                        <td>
                            <mb-input-text *ngIf="!view"
                                [mbType]="(data.scale.errors || mapEmpError.has(data.empId.value + '-' + data.jobId.value)) && isSubmit ? 'error' : 'default'"
                                (keypress)="onKeypress($event)" (mbClick)="onFocus(data)" (mbBlur)="onBlur(data)"
                                [formControl]="data.scale"
                                mbPlaceholderText="{{'modelOrganization.placeHoder.scale' | translate}}"
                                nzTooltipTitle=" {{'modelOrganization.tooltip.scale' | translate}} {{data.fromDate.value | date: 'MM/yyyy'}}
                                    {{'modelOrganization.tooltip.to' | translate}} {{data.toDate.value | date: 'MM/yyyy'}} {{'modelOrganization.tooltip.remaining' | translate}} {{mapEmpError.get(data.empId.value + '-' + data.jobId.value)?.scale}} %"
                                nzTooltipPlacement="bottomRight" nz-tooltip [nzTooltipColor]="'#141ED2'"
                                [nzTooltipOverlayClassName]="mapEmpError.has(data.empId.value + '-' + data.jobId.value) ? '' : 'tooltip-hide'">
                            </mb-input-text>
                            <span *ngIf="view">{{data.scale.value}}</span>
                        </td>
                        <td *ngIf="!view" nzRight>
                            <div>
                                <button nz-button nzType="default" class="table-container__button"
                                    (click)="deleteRow(i)">
                                    <img alt="" src="assets/images/icon/project-delete.svg">
                                </button>
                            </div>
                        </td>
                    </tr>
                    <tr *ngIf="!view">
                        <td colspan="9" (click)="addRow()">
                            <div class="table-container__add-row">
                                <em nz-icon nzType="plus" nzTheme="outline" class="table-container__add-row--icon"></em>
                                <span class="table-container__add-row--text">{{'modelOrganization.button.addRow' |
                                    translate}}</span>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </nz-table>
        </nz-radio-group>
    </div>
</form>
